# class toResultContentEditor | This widget allows the user to browse the contents of a table and also edit the content. More...
Definition | `#include <toresultcontent.h>`
Inherits | QTable (qt) [public ], toEditWidget [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultContentEditor (QWidget *parent,const char *name=NULL)
- ~toResultContentEditor ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)
- virtual void editPrint (void)
- virtual void editSave (bool ask)
- virtual void editSearch (toSearchReplace *search)
- virtual void editReadAll (void)
- void changeFilter (bool all,const QString &criteria,const QString &order)
- bool allFilter ()

#### Public Slots

- virtual void clearParams (void)
- virtual void changeSort (int col)
- virtual void refresh (void)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- void changePosition (int row,int col)
- virtual void displayMenu (const QPoint &p)
- virtual void displayMemo (void)
- virtual void saveUnsaved (void)
- virtual void deleteCurrent (void)
- virtual void addRecord (void)
- virtual void cancelEdit (void)
- virtual void gotoLastRecord (void)
- virtual void gotoFirstRecord (void)
- virtual void gotoPreviousRecord (void)
- virtual void gotoNextRecord (void)

#### Public Members

- friend class toResultContent

#### Protected Slots

- virtual void menuCallback (int cmd)
- virtual void changeData (int row,int col,const QString &data)

## Detailed Description

This widget allows the user to browse the contents of a table and also edit the content. The table is specified by the first and second parameter in the query. The sql is not used in the query.

toResultContentEditor (QWidget *parent,const char *name=NULL) | ### toResultContentEditor

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultContentEditor () | ### ~toResultContentEditor

Destruct object

void query (const QString &sql,const toQList ¶m) | ### query

[virtual]

Reimplemented for internal reasons.

void changeParams (const QString &Param1) | ### changeParams

[virtual]

Reimplemented for internal reasons.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3) | ### changeParams

[virtual]

Reimplemented for internal reasons.

void editPrint (void) | ### editPrint

[virtual]

Print this editor.

Reimplemented from toEditWidget.

void editSave (bool ask) | ### editSave

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editSearch (toSearchReplace *search) | ### editSearch

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editReadAll (void) | ### editReadAll

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void changeFilter (bool all,const QString &criteria,const QString &order) | ### changeFilter

Set a new filter setting.

Parameters:

all | Apply filter to all tables, otherwise only for this table.
criteria | Criteria to filter on.
order | Order to read data on.

bool allFilter () | ### allFilter

Get information about if filter affect all tables.

friend class toResultContent | ### toResultContent

void clearParams (void) | ### clearParams

[virtual slot]

Erase last parameters

void changeSort (int col) | ### changeSort

[virtual slot]

Change sorting column

Parameters:

col | Column selected to change as sorting.

void refresh (void) | ### refresh

[virtual slot]

Reimplemented for internal reasons.

void changeParams (const QString &Param1,const QString &Param2) | ### changeParams

[virtual slot]

Reimplemented for internal reasons.

void changePosition (int row,int col) | ### changePosition

[slot]

Current cell changed.

Parameters:

row | New row.
col | New column.

void displayMenu (const QPoint &p) | ### displayMenu

[virtual slot]

Display popup menu

Parameters:

p | Point to display popup at.

void displayMemo (void) | ### displayMemo

[virtual slot]

Display editable memo viewer at current position.

void saveUnsaved (void) | ### saveUnsaved

[virtual slot]

Save unsaved changes in the editor

void deleteCurrent (void) | ### deleteCurrent

[virtual slot]

Delete the current row from the table.

void addRecord (void) | ### addRecord

[virtual slot]

Add a new record to the table.

void cancelEdit (void) | ### cancelEdit

[virtual slot]

Discard the changes made to the table.

void gotoLastRecord (void) | ### gotoLastRecord

[virtual slot]

Goto the last record in the table.

void gotoFirstRecord (void) | ### gotoFirstRecord

[virtual slot]

Goto the first record in the table.

void gotoPreviousRecord (void) | ### gotoPreviousRecord

[virtual slot]

Goto the previous record in the table.

void gotoNextRecord (void) | ### gotoNextRecord

[virtual slot]

Goto the next record in the table.

void menuCallback (int cmd) | ### menuCallback

[protected slots virtual slot]

Callback from popup menu.

Parameters:

cmd | Command ID.

void changeData (int row,int col,const QString &data) | ### changeData

[protected slots virtual slot]

Change data at specified position.

Parameters:

row | Row to change.
col | Column to change.
data | New contents of data.